## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname sgp4

Name:           python-%{srcname}
Version:        2.24
Release:        %autorelease
Summary:        Compute position and velocity of earth-orbiting satellites
# Python code is MIT, backend algorithms are based on SGP4 code
# which is made available through its usage permission notice
License:        MIT AND SGP4
URL:            https://pypi.python.org/pypi/%{srcname}
Source:         %{pypi_source}

# https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval
ExcludeArch:    %{ix86}

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  python3-devel

# For tests
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(numpy)

Provides:       bundled(sgp4)

%global _description %{expand:
This Python package computes the position and velocity of an earth-orbiting
satellite, given the satellite’s TLE orbital elements from a source like
CelesTrak. It implements the most recent version of SGP4, and is regularly
run against the SGP4 test suite to make sure that its satellite position
predictions agree to within 0.1 mm with the predictions of the standard
distribution of the algorithm. This error is far less than the 1–3 km/day
by which satellites themselves deviate from the ideal orbits described in
TLE files.}

%description %_description


%package -n     python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %_description


%prep
%autosetup -n %{srcname}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{srcname}


%check
%pyproject_check_import
%pytest sgp4/tests.py


%files -n python3-%{srcname} -f %{pyproject_files}


%changelog
## START: Generated by rpmautospec
* Wed Feb 26 2025 Mattia Verga <mattia.verga@proton.me> - 2.24-1
- Update to 2.24 (Fedora#2345930)

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 2.23-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.23-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 2.23-4
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.23-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.23-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Nov 12 2023 Mattia Verga <mattia.verga@proton.me> - 2.23-1
- Update to 2.23 (fedora#2249228)

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.21-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sun Jul 09 2023 Mattia Verga <mattia.verga@proton.me> - 2.21-3
- Patch for python 3.12

* Sun Jul 09 2023 Mattia Verga <mattia.verga@proton.me> - 2.21-2
- Exclude ix86 arches

* Sun Jul 09 2023 Mattia Verga <mattia.verga@proton.me> - 2.21-1
- Initial import (fedora#2156932)
## END: Generated by rpmautospec
